Ubuntu

Feisty can't reboot after adding p4-clockmod to /etc/modules

Reported by Daniel Gimpelevich on 2007-05-31
10
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Declined for Dapper by Brian Murray
Declined for Edgy by Brian Murray
Declined for Feisty by Brian Murray
Declined for Gutsy by Brian Murray
Hardy
Medium
Unassigned
Jaunty
Medium
Unassigned

Bug Description

Binary package hint: powernowd

I was annoyed enough that p4-clockmod was not autoprobed in Feisty Fawn 7.04 on a Dell Inspiron 9100, but this really got my goat: With the module loaded and powernowd running, the machine was able to halt/poweroff OK (and power on afterwards), but could not reboot! Seems nobody thought to include K20powernowd symlinks in /etc/rc0.d and /etc/rc6.d before. With the symlink in /etc/rc6.d, everything works fine. I didn't bother with /etc/rc0.d, because that wasn't a problem on this machine; however, I now suspect that would fix a Thinkpad T20 (p3), which I will test later.

Reviewing the changelog, it seems this bug was introduced in Edgy Eft 6.10, and does not affect Dapper Drake 6.06 after all. I failed to confirm the T20 as also affected & corrected this way, but may yet do so on a Sony Vaio. An update should be pushed out to both Edgy and Feisty reversing the change of 2006-07-20 and version 0.97-1ubuntu2. How do I un-nominate the bug for the Dapper release?

Brian Murray (brian-murray) wrote :

This bug was nominated for Gutsy but does currently not qualify for a 7.10 stable release update (SRU) and the nomination is therefore declined.
According the the SRU policy, the fix should already be deployed and tested in the current development version before an update to the stable releases will be considered. With 7.10 now released, that policy applies to this bug. See: https://wiki.ubuntu.com/StableReleaseUpdates .
The bug is not being closed as work will continue on fixing it for the next release, Hardy Heron (8.04). If the state of this bug should change such that it qualifies for the SRU process, please contact the person who originally declined it and ask them to re-evaluate it. To help improve the state of this bug see: https://wiki.ubuntu.com/Bugs/HowToTriage .

Changed in powernowd:
importance: Undecided → Medium
status: New → Triaged
Henk Poley (henkpoley) wrote :

Adding those symlinks fixed a shutdown/reboot problem on my M2NPV-VM based Xubuntu Gutsy system.

What exactly *is* the problem with adding those to the powernowd package?

Daniel Hahler (blueyed) wrote :

Scott, you've introduced the change which removes the stop links in the postinst script. Can you please investigate?

powernowd (0.97-1ubuntu2) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <email address hidden> Thu, 20 Jul 2006 23:10:49 +0100

Changed in powernowd:
assignee: nobody → keybuk

Sorry, but the suggested fix here is incorrect.

All the powernowd stop script does is send the TERM signal to the daemon, which is already performed by the sendsigs script; and set the scaling governor to "performance", which is only done so when the daemon is stopped by hand (e.g. when the package is removed) the effect is undone.

This should have absolutely no effect on the ability of the computer to be rebooted or powered off.

If this does, this is a bug in the module itself and should be fixed there -- not by adding unnecessary symlinks.

Changed in powernowd:
assignee: keybuk → nobody
status: Triaged → Confirmed

On Jan 2, 2008, at 3:23 PM, Scott James Remnant wrote:

> Sorry, but the suggested fix here is incorrect.
>
> All the powernowd stop script does is send the TERM signal to the
> daemon, which is already performed by the sendsigs script; and set the
> scaling governor to "performance", which is only done so when the
> daemon
> is stopped by hand (e.g. when the package is removed) the effect is
> undone.
>
> This should have absolutely no effect on the ability of the computer to
> be rebooted or powered off.

IIRC, the sendsigs script runs much later. I think that when I reported
this, I tried sending the TERM at several different places in the
reboot/shutdown sequence, and it really made a difference in observable
behavior.

> If this does, this is a bug in the module itself and should be fixed
> there -- not by adding unnecessary symlinks.

"Package $FOO misbehaves only when some code is executed in the kernel,
regardless of any lack of problems with that code in the absence of
Package $FOO, so the bug must be in the kernel, and not in Package
$FOO." OK, understood.

Henk Poley (henkpoley) wrote :

I just mailed Dave Jones, the kernel's cpu frequency driver maintainer.

As far as I can tell; Ubuntu doesn't actually start powernowd when the ondemand governor is available. So TERM signals do not apply here. Setting the governor to "performance" does, though. At the moment I'll just use the "unnecessary symlinks", but getting it fixed in the kernel would be better.

Hi Henk,

Just curious if you get a response back from Dave Jones?

On Mar 7, 2008, at 2:58 PM, Leann Ogasawara wrote:

> Hi Henk,
>
> Just curious if you get a response back from Dave Jones?

I know that I haven't. Anyway, does p4-clockmod even support ondemand?
I think powernowd is likely required.
--
"No gnu's is good gnu's." --Gary Gnu, "The Great Space Coaster"

Henk Poley (henkpoley) wrote :

No, I don't think I've ever got a reply. So, I'll keep using the "unnecessary symlinks" :-/

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Confirmed → Triaged
Changed in linux:
status: Triaged → Won't Fix

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Tim Gardner (timg-tpi) wrote :

cpu_freq is now built into the kernel. CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y is set for i386/amd64.

Changed in linux (Ubuntu Jaunty):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers